org.apache.ignite.internal.util

## Class GridEmptyCloseableIterator<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridIteratorAdapter<T>
  - - org.apache.ignite.internal.util.GridEmptyIterator<T>
    - - org.apache.ignite.internal.util.GridEmptyCloseableIterator<T>

All Implemented Interfaces:
  Serializable, AutoCloseable, Iterable<T>, Iterator<T>, GridSerializableIterator<T>, GridCloseableIterator<T>, GridIterator<T>, IgniteSpiCloseableIterator<T>

    public class GridEmptyCloseableIterator<T>
    extends GridEmptyIterator<T>
    implements GridCloseableIterator<T>

Empty closeable iterator.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridEmptyCloseableIterator()`

### Method Summary

Methods
`void` `close()` Closes the iterator and frees all the resources held by the iterator.
`boolean` `isClosed()` Checks if iterator has been closed.

### Methods inherited from class org.apache.ignite.internal.util.GridEmptyIterator

`hasNextX, nextX, removeX, toString`

### Methods inherited from class org.apache.ignite.internal.util.lang.GridIteratorAdapter

`hasNext, iterator, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridIterator

`hasNextX, nextX, removeX`

### Methods inherited from interface java.lang.Iterable

`iterator`

### Methods inherited from interface java.util.Iterator

`hasNext, next, remove`

### Constructor Detail

#### GridEmptyCloseableIterator

    public GridEmptyCloseableIterator()

### Method Detail

#### close

    public void close()
               throws IgniteCheckedException

Closes the iterator and frees all the resources held by the iterator. Iterator can not be used any more after calling this method.

The method is invoked automatically on objects managed by the `try-with-resources` statement.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `GridCloseableIterator<T>`
Specified by:
  `close` in interface `IgniteSpiCloseableIterator<T>`
Throws:
  `IgniteCheckedException` - In case of error.

#### isClosed

    public boolean isClosed()

Checks if iterator has been closed.

Specified by:
  `isClosed` in interface `GridCloseableIterator<T>`
Returns:
  `True` if iterator has been closed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015